%global debug_package %{nil}

Name:           python-pyinstaller
Version:        6.11.1
Release:        1%{?dist}
Summary:        Bundle a Python application and all its dependencies into a single package
License:        GPL-2.0-only
URL:            https://www.pyinstaller.org

Source:         https://github.com/pyinstaller/pyinstaller/archive/v%{version}/pyinstaller-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  binutils
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python3-devel

%description
PyInstaller bundles a Python application and all its dependencies into a single
package. The user can run the packaged app without installing a Python
interpreter or any modules.

%package -n python3-pyinstaller
Summary:        Bundle a Python application and all its dependencies into a single package
Recommends:     upx

%description -n python3-pyinstaller
PyInstaller bundles a Python application and all its dependencies into a single
package. The user can run the packaged app without installing a Python
interpreter or any modules.

%prep
%autosetup -n pyinstaller-%{version}

# Force build of bootloader
rm -r PyInstaller/bootloader

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files PyInstaller

%files -n python3-pyinstaller -f %{pyproject_files}
%doc README.rst doc/CHANGES.rst
%license COPYING.txt
%{_bindir}/pyi-archive_viewer
%{_bindir}/pyi-bindepend
%{_bindir}/pyi-grab_version
%{_bindir}/pyi-makespec
%{_bindir}/pyi-set_version
%{_bindir}/pyinstaller

%changelog
* Sun Dec 01 2024 Simone Caronni <negativo17@gmail.com> - 6.11.1-1
- Update to 6.11.1.

* Thu May 16 2024 Simone Caronni <negativo17@gmail.com> - 6.6.0-1
- Update to 6.6.0.

* Fri Feb 16 2024 Simone Caronni <negativo17@gmail.com> - 6.4.0-2
- Do not generate test requirements.

* Thu Feb 15 2024 Simone Caronni <negativo17@gmail.com> - 6.4.0-1
- First build.
